# CYapfSegmentCostCacheLocalT< Types > Class Template Reference

CYapfSegmentCostCacheLocalT - the yapf cost cache provider that implements fake segment cost caching functionality for yapf. More...

`#include <yapf_costcache.hpp>`

Inheritance diagram for CYapfSegmentCostCacheLocalT< Types >:

## Public Types

typedef Types::Tpf | Tpf
| the pathfinder class (derived from THIS class)
typedef Types::NodeList::Titem | Node
| this will be our node type
typedef Node::Key | Key
| key to hash tables
typedef Node::CachedData | CachedData
typedef CachedData::Key | CacheKey
typedef CArrayT< CachedData > | LocalCache

## Public Member Functions

FORCEINLINE bool | PfNodeCacheFetch (Node &n)
| Called by YAPF to attach cached or local segment cost data to the given node.
FORCEINLINE void | PfNodeCacheFlush (Node &n)
| Called by YAPF to flush the cached segment cost data back into cache storage.

## Protected Member Functions

FORCEINLINE Tpf & | Yapf ()
| to access inherited path finder

## Protected Attributes

LocalCache | m_local_cache

## Detailed Description

### template<class Types>
class CYapfSegmentCostCacheLocalT< Types >

CYapfSegmentCostCacheLocalT - the yapf cost cache provider that implements fake segment cost caching functionality for yapf.

Used when node needs caching, but you don't want to cache the segment costs.

Definition at line 41 of file yapf_costcache.hpp.

## Member Function Documentation

template<class Types>

FORCEINLINE bool CYapfSegmentCostCacheLocalT< Types >::PfNodeCacheFetch | ( | Node & | n | ) | `[inline]`

Called by YAPF to attach cached or local segment cost data to the given node.

Returns:
  true if globally cached data were used or false if local data was used

Reimplemented in CYapfSegmentCostCacheGlobalT< Types >.

Definition at line 63 of file yapf_costcache.hpp.

References CArrayT< Titem_, Tblock_size_, Tnum_blocks_ >::AddNC(), and CYapfSegmentCostCacheLocalT< Types >::Yapf().

Referenced by CYapfSegmentCostCacheGlobalT< Types >::PfNodeCacheFetch().

template<class Types>

FORCEINLINE void CYapfSegmentCostCacheLocalT< Types >::PfNodeCacheFlush | ( | Node & | n | ) | `[inline]`

Called by YAPF to flush the cached segment cost data back into cache storage.

Current cache implementation doesn't use that.

Reimplemented in CYapfSegmentCostCacheGlobalT< Types >.

Definition at line 72 of file yapf_costcache.hpp.

The documentation for this class was generated from the following file:

- src/yapf/yapf_costcache.hpp